target_options

Options for creating a target node for a sender or receiver. More...

`#include <target_options.hpp>`

## Public Member Functions

| target_options ()
| Create an empty set of options.
| target_options (const target_options &)
| Copy options.
target_options & | operator= (const target_options &)
| Copy options.
target_options & | address (const std::string &addr)
| Set the address for the target. Ignored if dynamic is true.
target_options & | dynamic (bool)
| Request a dynamically created node to be created by the peer. More...
target_options & | durability_mode (enum target::durability_mode)
| Control the persistence of target state.
target_options & | timeout (duration)
| The expiry period after which the target is discarded.
target_options & | expiry_policy (enum target::expiry_policy)
| Control when the clock for expiration begins.

## Detailed Description

Options for creating a target node for a sender or receiver.

Options can be "chained" (see proton::connection_options).

Normal value semantics: copy or assign creates a separate copy of the options.

Examples:
  broker.cpp, and broker.hpp.

## Member Function Documentation

## dynamic()

target_options& dynamic | ( | bool |  | ) |

Request a dynamically created node to be created by the peer.

Any specified target address is ignored.

The documentation for this class was generated from the following file:

- proton/target_options.hpp